#
# spec file for package python-certbot-dns-rfc2136
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-certbot-dns-rfc2136
Version:        0.36.0
Release:        lp151.2.3.1
Summary:        RFC 2136 DNS Authenticator plugin for Certbot
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/certbot/certbot
Source:         https://files.pythonhosted.org/packages/source/c/certbot-dns-rfc2136/certbot-dns-rfc2136-%{version}.tar.gz
BuildRequires:  %{python_module certbot >= 0.34.0}
BuildRequires:  %{python_module dnspython}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-acme >= 0.29.0
Requires:       python-certbot >= 0.34.0
Requires:       python-dnspython
Requires:       python-zope.interface
BuildArch:      noarch

%python_subpackages

%description
RFC 2136 DNS Authenticator plugin for Certbot.

%prep
%setup -q -n certbot-dns-rfc2136-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test || :

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Wed Jul 17 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.36.0 (bsc#1141928)
  * sync with main certbot package
* Tue Jun 18 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.35.1
  * sync with main certbot package
* Sun May 19 2019 Dirk Mueller <dmueller@suse.com>
- update to 0.34.2:
  * sync with main package
* Mon Mar 18 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.32.0
  * sync with main certbot package
* Fri Feb  8 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.31.0
  * sync with main certbot package
* Tue Jan 29 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.30.2:
  * lockstep with main certbot package
* Wed Nov 21 2018 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.28.0:
  * For changes see the main certbot package
- Allow broken tests to continue with the build, the tests
  fail randomly
* Fri Sep 14 2018 Marketa Calabkova <mcalabkova@suse.com>
- Split module from the main certbot package
